{
  "openapi": "3.0.1",
  "info": {
    "title": "iMPS",
    "description": "iMPS OpenAPI Specification",
    "version": "V2.0"
  },
  "servers": [
    {
      "url": "https://imaps.inavi.com",
      "description": "Production Server"
    }
  ],
  "tags": [
    {
      "name": "WEB(JS)",
      "description": "JavaScript 기반 아이나비 웹 지도 API",
      "x-order": 1,
      "tag": "지도"
    },
    {
      "name": "Static Map",
      "description": "부드럽고 선명한 고성능 정적 지도",
      "x-order": 2,
      "tag": "지도"
    },
    {
      "name": "장소/주소 검색",
      "description": "다양한 조건을 기반으로 장소 및 관련 정보를 조회합니다",
      "x-order": 3,
      "tag": "검색"
    },
    {
      "name": "지오코딩",
      "description": "주소 ↔ 좌표의 변환 및 검증을 제공합니다",
      "x-order": 4,
      "tag": "검색"
    },
    {
      "name": "공간 검색",
      "description": "좌표 기반의 공간 검색 유틸리티를 제공합니다",
      "x-order": 5,
      "tag": "검색"
    },
    {
      "name": "W3W",
      "description": "what3words기반의 위치 검색·변환하는 기능을 제공합니다",
      "x-order": 6,
      "tag": "검색"
    },
    {
      "name": "탐색",
      "description": "여러 조건에 따라 차량·도보 등의 경로 탐색을 제공합니다",
      "x-order": 7,
      "tag": "경로"
    },
    {
      "name": "최적화",
      "description": "여러 지점의 최적 방문 순서를 제공합니다",
      "x-order": 8,
      "tag": "경로"
    },
    {
      "name": "복원",
      "description": "GPS 데이터를 도로에 맞게 보정해 실제 주행 경로에 근접한 결과를 제공합니다",
      "x-order": 9,
      "tag": "경로"
    },
    {
      "name": "매트릭스",
      "description": "출발/목적지 조합의 최적 거리·시간 정보를 제공합니다",
      "x-order": 10,
      "tag": "경로"
    }
  ],
  "paths": {
    "/maps/v3.0/appkeys/{APPKEY}/maps": {
      "get": {
        "tags": [
          "WEB(JS)"
        ],
        "summary": "WEB(JS)",
        "description": "IMPS의 웹지도를 생성하여 고품질의 지도 서비스를 제공합니다<br><br>**Usage Sample**<br><br><div id=\"map\" style=\"width:500px;height:500px;position:relative;overflow:hidden;\"></div>",
        "operationId": "getMapsResult",
        "parameters": [
          {
            "name": "APPKEY",
            "in": "path",
            "description": "해당 API 사용 권한이 있는 API 키",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "text/javascript": {
                "schema": {
                  "type": "string"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HeaderResponse"
                },
                "examples": {
                  "argError": {
                    "summary": "파라미터 에러",
                    "description": "Argument Error",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 101,
                        "resultMessage": "Argument Error"
                      }
                    }
                  },
                  "serverError": {
                    "summary": "IMPS 서버 에러",
                    "description": "IMPS Server Error",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 102,
                        "resultMessage": "IMPS Server Error"
                      }
                    }
                  },
                  "authentication": {
                    "summary": "인증 실패",
                    "description": "Authentication Failed",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 300,
                        "resultMessage": "Authentication Failed"
                      }
                    }
                  },
                  "badRequest": {
                    "summary": "부적절한 URL",
                    "description": "Inappropriate URL",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 301,
                        "resultMessage": "Inappropriate URL"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "잘못된 요청",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "400": {
                    "summary": "잘못된 요청",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 400,
                        "resultMessage": "Invalid request parameter or body"
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "API 없음",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "404": {
                    "summary": "API 없음",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 404,
                        "resultMessage": "API endpoint not found"
                      }
                    }
                  }
                }
              }
            }
          },
          "415": {
            "description": "허용되지 않는 메서드",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "415": {
                    "summary": "허용되지 않는 메서드",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 415,
                        "resultMessage": "Unsupported content type"
                      }
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "서버 내부 오류",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "500": {
                    "summary": "서버 내부 오류",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 500,
                        "resultMessage": "Internal Server Error"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "x-order": 0
      }
    },
    "/maps/v3.0/appkeys/{APPKEY}/static-maps": {
      "get": {
        "tags": [
          "Static Map"
        ],
        "summary": "Static Map",
        "description": "중심 좌표와 크기를 입력 받아 정적 지도 이미지를 생성하여 제공합니다<br><br>**Sample**<br><br>![Example Image](https://imaps.inavi.com/maps/v3.0/appkeys/6c72d57a50e81fa01eb3b209deb40b7a97e74b73/static-maps?lon=127.111236&lat=37.394767)",
        "operationId": "getStaticMapsResult",
        "parameters": [
          {
            "name": "APPKEY",
            "in": "path",
            "description": "해당 API 사용 권한이 있는 API 키",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "posX",
            "in": "query",
            "description": "중심 X좌표(경도)<br>*wgs84",
            "required": true,
            "schema": {
              "type": "string",
              "description": "중심 X좌표(경도)<br>*wgs84",
              "example": 127.11075
            },
            "example": 127.11075
          },
          {
            "name": "posY",
            "in": "query",
            "description": "중심 Y좌표(위도)<br>*wgs84",
            "required": true,
            "schema": {
              "type": "string",
              "description": "중심 Y좌표(위도)<br>*wgs84",
              "example": 37.402159
            },
            "example": 37.402159
          },
          {
            "name": "zoom",
            "in": "query",
            "description": "지도 확대 레벨",
            "required": false,
            "schema": {
              "maximum": 20,
              "minimum": 0,
              "type": "string",
              "description": "지도 확대 레벨",
              "example": 14,
              "default": "14"
            },
            "example": 14
          },
          {
            "name": "pitch",
            "in": "query",
            "description": "지도 기울기 각도(tilt)<br>*단위는 도(degree)이며 0은 수직 보기(top view)<br>*0~60",
            "required": false,
            "schema": {
              "maximum": 60,
              "minimum": 0,
              "type": "string",
              "description": "지도 기울기 각도(tilt)<br>*단위는 도(degree)이며 0은 수직 보기(top view)<br>*0~60",
              "example": 0,
              "default": "0"
            },
            "example": 0
          },
          {
            "name": "bearing",
            "in": "query",
            "description": "지도 회전 각도<br>*북쪽을 기준으로 시계 방향(degree) <br>*0~360",
            "required": false,
            "schema": {
              "maximum": 360,
              "minimum": 0,
              "type": "string",
              "description": "지도 회전 각도<br>*북쪽을 기준으로 시계 방향(degree) <br>*0~360",
              "example": 0,
              "default": "0"
            },
            "example": 0
          },
          {
            "name": "width",
            "in": "query",
            "description": "생성할 이미지의 가로 크기(pixel)",
            "required": false,
            "schema": {
              "type": "string",
              "description": "생성할 이미지의 가로 크기(pixel)",
              "example": 400,
              "default": "400"
            },
            "example": 400
          },
          {
            "name": "height",
            "in": "query",
            "description": "생성할 이미지의 세로 크기(pixel)",
            "required": false,
            "schema": {
              "type": "string",
              "description": "생성할 이미지의 세로 크기(pixel)",
              "example": 400,
              "default": "400"
            },
            "example": 400
          },
          {
            "name": "scale",
            "in": "query",
            "description": "이미지의 고해상도 여부",
            "required": false,
            "schema": {
              "type": "string",
              "description": "이미지의 고해상도 여부",
              "example": false,
              "default": "false",
              "enum": [
                "false",
                "true"
              ],
              "x-enum-descriptions": {
                "false": "일반",
                "true": "고해상도"
              }
            },
            "example": false,
            "x-enum-descriptions": {
              "false": "일반",
              "true": "고해상도"
            }
          },
          {
            "name": "markerX",
            "in": "query",
            "description": "마커 X좌표(경도)<br>*지정 시 지도 위에 마커 표시",
            "required": false,
            "schema": {
              "type": "string",
              "description": "마커 X좌표(경도)<br>*지정 시 지도 위에 마커 표시",
              "example": 127.11075
            },
            "example": 127.11075
          },
          {
            "name": "markerY",
            "in": "query",
            "description": "마커 Y좌표(위도)<br>*지정 시 지도 위에 마커 표시",
            "required": false,
            "schema": {
              "type": "string",
              "description": "마커 Y좌표(위도)<br>*지정 시 지도 위에 마커 표시",
              "example": 37.402159
            },
            "example": 37.402159
          },
          {
            "name": "markerUrl",
            "in": "query",
            "description": "사용자 정의 마커 이미지 URL<br>*지정 시 기본 마커 대신 사용",
            "required": false,
            "schema": {
              "type": "string",
              "description": "사용자 정의 마커 이미지 URL<br>*지정 시 기본 마커 대신 사용"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "image/png": {
                "schema": {
                  "type": "string",
                  "format": "binary"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HeaderResponse"
                },
                "examples": {
                  "argError": {
                    "summary": "파라미터 에러",
                    "description": "Argument Error",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 101,
                        "resultMessage": "Argument Error"
                      }
                    }
                  },
                  "serverError": {
                    "summary": "IMPS 서버 에러",
                    "description": "IMPS Server Error",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 102,
                        "resultMessage": "IMPS Server Error"
                      }
                    }
                  },
                  "authentication": {
                    "summary": "인증 실패",
                    "description": "Authentication Failed",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 300,
                        "resultMessage": "Authentication Failed"
                      }
                    }
                  },
                  "badRequest": {
                    "summary": "부적절한 URL",
                    "description": "Inappropriate URL",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 301,
                        "resultMessage": "Inappropriate URL"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "잘못된 요청",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "400": {
                    "summary": "잘못된 요청",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 400,
                        "resultMessage": "Invalid request parameter or body"
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "API 없음",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "404": {
                    "summary": "API 없음",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 404,
                        "resultMessage": "API endpoint not found"
                      }
                    }
                  }
                }
              }
            }
          },
          "415": {
            "description": "허용되지 않는 메서드",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "415": {
                    "summary": "허용되지 않는 메서드",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 415,
                        "resultMessage": "Unsupported content type"
                      }
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "서버 내부 오류",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "500": {
                    "summary": "서버 내부 오류",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 500,
                        "resultMessage": "Internal Server Error"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "x-order": 100
      }
    },
    "/maps/v3.0/appkeys/{APPKEY}/searches": {
      "get": {
        "tags": [
          "장소/주소 검색"
        ],
        "summary": "통합 검색",
        "description": "상호명, 건물명, 업종명, 초성, 주소(지번·도로명), 전화번호 등 다양한 형태의 키워드를 입력하여<br>관심지점(POI) 및 주소 정보를 통합 검색합니다<br>검색 결과에 따라 POI 또는 주소 항목이 반환될 수 있습니다",
        "operationId": "getSearchesResult",
        "parameters": [
          {
            "name": "APPKEY",
            "in": "path",
            "description": "해당 API 사용 권한이 있는 API 키",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "query",
            "in": "query",
            "description": "검색 키워드",
            "required": true,
            "schema": {
              "type": "string",
              "description": "검색 키워드",
              "example": "아이나비시스템즈"
            },
            "example": "아이나비시스템즈"
          },
          {
            "name": "coordtype",
            "in": "query",
            "description": "좌표 체계",
            "required": false,
            "schema": {
              "maximum": 1,
              "minimum": 0,
              "type": "string",
              "description": "좌표 체계",
              "default": "1",
              "enum": [
                "0",
                "1"
              ],
              "x-enum-descriptions": {
                "0": "TW 좌표",
                "1": "WGS84 좌표"
              }
            },
            "x-enum-descriptions": {
              "0": "TW 좌표",
              "1": "WGS84 좌표"
            }
          },
          {
            "name": "startposition",
            "in": "query",
            "description": "검색 시작 위치<br>*0은 첫 번째 위치를 의미",
            "required": false,
            "schema": {
              "type": "string",
              "description": "검색 시작 위치<br>*0은 첫 번째 위치를 의미",
              "default": "0"
            }
          },
          {
            "name": "reqcount",
            "in": "query",
            "description": "요청 개수<br>*0~9999",
            "required": false,
            "schema": {
              "maximum": 9999,
              "minimum": 0,
              "type": "string",
              "description": "요청 개수<br>*0~9999",
              "default": "100"
            }
          },
          {
            "name": "admcode",
            "in": "query",
            "description": "행정구역 코드",
            "required": false,
            "schema": {
              "type": "string",
              "description": "행정구역 코드"
            }
          },
          {
            "name": "spopt",
            "in": "query",
            "description": "공간 검색 옵션",
            "required": false,
            "schema": {
              "maximum": 2,
              "minimum": 0,
              "type": "string",
              "description": "공간 검색 옵션",
              "default": "0",
              "enum": [
                "0",
                "1",
                "2"
              ],
              "x-enum-descriptions": {
                "0": "전체 검색",
                "1": "공간 검색",
                "2": "반경 검색"
              }
            },
            "x-enum-descriptions": {
              "0": "전체 검색",
              "1": "공간 검색",
              "2": "반경 검색"
            }
          },
          {
            "name": "radius",
            "in": "query",
            "description": "검색 반경(m)<br>*반경 검색일 경우 사용",
            "required": false,
            "schema": {
              "type": "string",
              "description": "검색 반경(m)<br>*반경 검색일 경우 사용"
            }
          },
          {
            "name": "x1",
            "in": "query",
            "description": "X1 좌표값<br>*전체 검색인 경우 기준점 X좌표(경도)<br>*공간 검색인 경우 Extent 좌상단 X좌표(경도)<br>*반경 검색인 경우 중심 X좌표(경도)",
            "required": false,
            "schema": {
              "type": "string",
              "description": "X1 좌표값<br>*전체 검색인 경우 기준점 X좌표(경도)<br>*공간 검색인 경우 Extent 좌상단 X좌표(경도)<br>*반경 검색인 경우 중심 X좌표(경도)"
            }
          },
          {
            "name": "y1",
            "in": "query",
            "description": "Y1 좌표값<br>*전체 검색인 경우 기준점 Y좌표(위도)<br>*공간 검색인 경우 Extent 좌상단 Y좌표(위도)<br>*반경 검색인 경우 중심 Y좌표(위도)",
            "required": false,
            "schema": {
              "type": "string",
              "description": "Y1 좌표값<br>*전체 검색인 경우 기준점 Y좌표(위도)<br>*공간 검색인 경우 Extent 좌상단 Y좌표(위도)<br>*반경 검색인 경우 중심 Y좌표(위도)"
            }
          },
          {
            "name": "x2",
            "in": "query",
            "description": "X2 좌표값<br>*공간 검색인 경우 Extent 우하단 X좌표(경도)",
            "required": false,
            "schema": {
              "type": "string",
              "description": "X2 좌표값<br>*공간 검색인 경우 Extent 우하단 X좌표(경도)"
            }
          },
          {
            "name": "y2",
            "in": "query",
            "description": "Y2 좌표값<br>*공간 검색인 경우 Extent 우하단 Y좌표(위도)",
            "required": false,
            "schema": {
              "type": "string",
              "description": "Y2 좌표값<br>*공간 검색인 경우 Extent 우하단 Y좌표(위도)"
            }
          },
          {
            "name": "sortopt",
            "in": "query",
            "description": "검색 결과 정렬 옵션",
            "required": false,
            "schema": {
              "maximum": 5,
              "minimum": 1,
              "type": "string",
              "description": "검색 결과 정렬 옵션",
              "default": "4",
              "enum": [
                "1",
                "2",
                "3",
                "4",
                "5"
              ],
              "x-enum-descriptions": {
                "1": "명칭순",
                "2": "거리순",
                "3": "명칭→거리순",
                "4": "추천→인기순",
                "5": "추천순"
              }
            },
            "x-enum-descriptions": {
              "1": "명칭순",
              "2": "거리순",
              "3": "명칭→거리순",
              "4": "추천→인기순",
              "5": "추천순"
            }
          },
          {
            "name": "depth",
            "in": "query",
            "description": "하위 시설물 포함 수준",
            "required": false,
            "schema": {
              "maximum": 3,
              "minimum": 0,
              "type": "string",
              "description": "하위 시설물 포함 수준",
              "default": "0",
              "enum": [
                "0",
                "1",
                "2",
                "3"
              ],
              "x-enum-descriptions": {
                "0": "사용 안함",
                "1": "일반 시설물 포함",
                "2": "하위 시설물 포함",
                "3": "최하위 시설물 포함"
              }
            },
            "x-enum-descriptions": {
              "0": "사용 안함",
              "1": "일반 시설물 포함",
              "2": "하위 시설물 포함",
              "3": "최하위 시설물 포함"
            }
          },
          {
            "name": "catecode",
            "in": "query",
            "description": "검색 대상 카테고리 코드",
            "required": false,
            "schema": {
              "type": "string",
              "description": "검색 대상 카테고리 코드"
            }
          },
          {
            "name": "addrext",
            "in": "query",
            "description": "주소 지번/건물번호 확장 검색 옵션",
            "required": false,
            "schema": {
              "maximum": 2,
              "minimum": 0,
              "type": "string",
              "description": "주소 지번/건물번호 확장 검색 옵션",
              "default": "0",
              "enum": [
                "0",
                "1",
                "2"
              ],
              "x-enum-descriptions": {
                "0": "지번/건물번호 확장 검색",
                "1": "부번호 확장 검색",
                "2": "본번호 확장 검색"
              }
            },
            "x-enum-descriptions": {
              "0": "지번/건물번호 확장 검색",
              "1": "부번호 확장 검색",
              "2": "본번호 확장 검색"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SearchSearchesResponse"
                },
                "examples": {
                  "success": {
                    "summary": "성공",
                    "value": {
                      "header": {
                        "isSuccessful": true,
                        "resultCode": 0,
                        "resultMessage": "Success"
                      },
                      "search": {
                        "result": true,
                        "type": 0,
                        "totalcount": 2,
                        "count": 2,
                        "poitotalcount": 2,
                        "poicount": 2,
                        "admtotalcount": 0,
                        "admcount": 0,
                        "poi": [
                          {
                            "poiid": 8827198,
                            "depth": "0",
                            "dpx": "127.110762",
                            "dpy": "37.402184",
                            "rpx": "127.110862",
                            "rpy": "37.402334",
                            "routepoints": [
                              {
                                "rpx": "127.110862",
                                "rpy": "37.402334"
                              }
                            ],
                            "entrypoint": {
                              "px": "127.109987",
                              "py": "37.401942"
                            },
                            "name1": "아이나비시스템즈",
                            "name2": "INAVISYSTEMS",
                            "name3": "아이나비시스템즈판교캠퍼스",
                            "name4": "아이나비판교캠퍼스",
                            "admcode": "4113510900",
                            "haengcode": "4113565500",
                            "address": "경기도 성남시 분당구 삼평동",
                            "address_haeng": "삼평동",
                            "jibun": "678",
                            "roadname": "경기도 성남시 분당구 판교역로",
                            "roadjibun": "240",
                            "detailaddress": "삼환하이펙스 A동 8층",
                            "catecode": "130602",
                            "catename": "팅크웨어",
                            "dp_catecode": "000",
                            "distance": 21713,
                            "tel": "02-589-9610",
                            "hasoildata": false,
                            "hasdetailinfo": true,
                            "hassubpoi": false,
                            "islandmark": true,
                            "updateTS": "2023-08-17",
                            "subpoi": {
                              "count": 0,
                              "poi": []
                            },
                            "externallink": [
                              {
                                "Site": "PLOG",
                                "ID": "http://m.fivepin.co.kr/MyStory/Plog?pid=8827198",
                                "ExtraInfo1": "단골 많은 팅크웨어(재방문54%)",
                                "ExtraInfo2": "재방문54%기업"
                              }
                            ],
                            "popularity": false,
                            "pop_tv": false,
                            "pop_sns": false,
                            "pop_hot": false,
                            "pop_hit": false,
                            "pop_top": "경기_1,분당구_1"
                          }
                        ],
                        "adm": [
                          {
                            "type": 2,
                            "posx": "127.11065",
                            "posy": "37.402109",
                            "admcode": "4113510900",
                            "address": "경기도 성남시 분당구 삼평동",
                            "address_sido": "경기도",
                            "address_gu": "성남시 분당구",
                            "address_dong": "삼평동",
                            "address_haeng": "삼평동",
                            "legalcode": "4113510900",
                            "haengcode": "4113565500",
                            "jibun": "678",
                            "roadname": "경기도 성남시 분당구 판교역로",
                            "roadjibun": "240",
                            "postcode": "13493",
                            "buildname": "삼환하이펙스A동",
                            "accuracy": 0,
                            "distance": 21715
                          }
                        ]
                      }
                    }
                  },
                  "argError": {
                    "summary": "파라미터 에러",
                    "description": "Argument Error",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 101,
                        "resultMessage": "Argument Error"
                      }
                    }
                  },
                  "serverError": {
                    "summary": "IMPS 서버 에러",
                    "description": "IMPS Server Error",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 102,
                        "resultMessage": "IMPS Server Error"
                      }
                    }
                  },
                  "authentication": {
                    "summary": "인증 실패",
                    "description": "Authentication Failed",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 300,
                        "resultMessage": "Authentication Failed"
                      }
                    }
                  },
                  "badRequest": {
                    "summary": "부적절한 URL",
                    "description": "Inappropriate URL",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 301,
                        "resultMessage": "Inappropriate URL"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "잘못된 요청",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "400": {
                    "summary": "잘못된 요청",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 400,
                        "resultMessage": "Invalid request parameter or body"
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "API 없음",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "404": {
                    "summary": "API 없음",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 404,
                        "resultMessage": "API endpoint not found"
                      }
                    }
                  }
                }
              }
            }
          },
          "415": {
            "description": "허용되지 않는 메서드",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "415": {
                    "summary": "허용되지 않는 메서드",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 415,
                        "resultMessage": "Unsupported content type"
                      }
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "서버 내부 오류",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "500": {
                    "summary": "서버 내부 오류",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 500,
                        "resultMessage": "Internal Server Error"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "x-order": 200
      }
    },
    "/maps/v3.0/appkeys/{APPKEY}/g-searches": {
      "get": {
        "tags": [
          "장소/주소 검색"
        ],
        "summary": "다국어 통합 검색",
        "description": "언어를 선택하여 상호명, 건물명, 업종명, 초성, 주소(지번·도로명), 전화번호 등 다양한 형태의 키워드를 입력하여<br>관심지점(POI) 및 주소 정보를 통합 검색합니다<br>검색 결과에 따라 POI 또는 주소 항목이 반환될 수 있습니다",
        "operationId": "getGlobalSearchesResult",
        "parameters": [
          {
            "name": "APPKEY",
            "in": "path",
            "description": "해당 API 사용 권한이 있는 API 키",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "query",
            "in": "query",
            "description": "검색 키워드",
            "required": true,
            "schema": {
              "type": "string",
              "description": "검색 키워드",
              "example": "inavisystems"
            },
            "example": "inavisystems"
          },
          {
            "name": "lang",
            "in": "query",
            "description": "검색 결과 반환 언어",
            "required": true,
            "schema": {
              "pattern": "^(ko|KO|en|EN|ja|Ja|zh|ZH)$",
              "type": "string",
              "description": "검색 결과 반환 언어",
              "example": "en",
              "enum": [
                "ko",
                "en",
                "ja",
                "zh"
              ],
              "x-enum-descriptions": {
                "ko": "국문",
                "ja": "일문",
                "en": "영문",
                "zh": "중문(간체)"
              }
            },
            "example": "en",
            "x-enum-descriptions": {
              "ko": "국문",
              "ja": "일문",
              "en": "영문",
              "zh": "중문(간체)"
            }
          },
          {
            "name": "coordtype",
            "in": "query",
            "description": "좌표 체계",
            "required": false,
            "schema": {
              "maximum": 1,
              "minimum": 0,
              "type": "string",
              "description": "좌표 체계",
              "default": "1",
              "enum": [
                "0",
                "1"
              ],
              "x-enum-descriptions": {
                "0": "TW 좌표",
                "1": "WGS84 좌표"
              }
            },
            "x-enum-descriptions": {
              "0": "TW 좌표",
              "1": "WGS84 좌표"
            }
          },
          {
            "name": "startposition",
            "in": "query",
            "description": "검색 시작 위치<br>*0은 첫 번째 위치를 의미",
            "required": false,
            "schema": {
              "type": "string",
              "description": "검색 시작 위치<br>*0은 첫 번째 위치를 의미",
              "default": "0"
            }
          },
          {
            "name": "reqcount",
            "in": "query",
            "description": "요청 개수<br>*0~9999",
            "required": false,
            "schema": {
              "maximum": 9999,
              "minimum": 0,
              "type": "string",
              "description": "요청 개수<br>*0~9999",
              "default": "100"
            }
          },
          {
            "name": "admcode",
            "in": "query",
            "description": "행정구역 코드",
            "required": false,
            "schema": {
              "type": "string",
              "description": "행정구역 코드"
            }
          },
          {
            "name": "spopt",
            "in": "query",
            "description": "공간 검색 옵션",
            "required": false,
            "schema": {
              "type": "string",
              "description": "공간 검색 옵션",
              "default": "0",
              "enum": [
                "0",
                "1",
                "2"
              ],
              "x-enum-descriptions": {
                "0": "전체 검색",
                "1": "공간 검색",
                "2": "반경 검색"
              }
            },
            "x-enum-descriptions": {
              "0": "전체 검색",
              "1": "공간 검색",
              "2": "반경 검색"
            }
          },
          {
            "name": "radius",
            "in": "query",
            "description": "검색 반경(m)<br>*반경 검색일 경우 사용",
            "required": false,
            "schema": {
              "type": "string",
              "description": "검색 반경(m)<br>*반경 검색일 경우 사용"
            }
          },
          {
            "name": "x1",
            "in": "query",
            "description": "X1 좌표값<br>*전체 검색인 경우 기준점 X좌표(경도)<br>*공간 검색인 경우 Extent 좌상단 X좌표(경도)<br>*반경 검색인 경우 중심 X좌표(경도)",
            "required": false,
            "schema": {
              "type": "string",
              "description": "X1 좌표값<br>*전체 검색인 경우 기준점 X좌표(경도)<br>*공간 검색인 경우 Extent 좌상단 X좌표(경도)<br>*반경 검색인 경우 중심 X좌표(경도)"
            }
          },
          {
            "name": "y1",
            "in": "query",
            "description": "Y1 좌표값<br>*전체 검색인 경우 기준점 Y좌표(위도)<br>*공간 검색인 경우 Extent 좌상단 Y좌표(위도)<br>*반경 검색인 경우 중심 Y좌표(위도)",
            "required": false,
            "schema": {
              "type": "string",
              "description": "Y1 좌표값<br>*전체 검색인 경우 기준점 Y좌표(위도)<br>*공간 검색인 경우 Extent 좌상단 Y좌표(위도)<br>*반경 검색인 경우 중심 Y좌표(위도)"
            }
          },
          {
            "name": "x2",
            "in": "query",
            "description": "X2 좌표값<br>*공간 검색인 경우 Extent 우하단 X좌표(경도)",
            "required": false,
            "schema": {
              "type": "string",
              "description": "X2 좌표값<br>*공간 검색인 경우 Extent 우하단 X좌표(경도)"
            }
          },
          {
            "name": "y2",
            "in": "query",
            "description": "Y2 좌표값<br>*공간 검색인 경우 Extent 우하단 Y좌표(위도)",
            "required": false,
            "schema": {
              "type": "string",
              "description": "Y2 좌표값<br>*공간 검색인 경우 Extent 우하단 Y좌표(위도)"
            }
          },
          {
            "name": "sortopt",
            "in": "query",
            "description": "검색 결과 정렬 옵션",
            "required": false,
            "schema": {
              "type": "string",
              "description": "검색 결과 정렬 옵션",
              "default": "4",
              "enum": [
                "1",
                "2",
                "3",
                "4",
                "5"
              ],
              "x-enum-descriptions": {
                "1": "명칭순",
                "2": "거리순",
                "3": "명칭→거리순",
                "4": "추천→인기순",
                "5": "추천순"
              }
            },
            "x-enum-descriptions": {
              "1": "명칭순",
              "2": "거리순",
              "3": "명칭→거리순",
              "4": "추천→인기순",
              "5": "추천순"
            }
          },
          {
            "name": "depth",
            "in": "query",
            "description": "하위 시설물 포함 수준",
            "required": false,
            "schema": {
              "type": "string",
              "description": "하위 시설물 포함 수준",
              "default": "0",
              "enum": [
                "0",
                "1",
                "2",
                "3"
              ],
              "x-enum-descriptions": {
                "0": "사용 안함",
                "1": "일반 시설물 포함",
                "2": "하위 시설물 포함",
                "3": "최하위 시설물 포함"
              }
            },
            "x-enum-descriptions": {
              "0": "사용 안함",
              "1": "일반 시설물 포함",
              "2": "하위 시설물 포함",
              "3": "최하위 시설물 포함"
            }
          },
          {
            "name": "catecode",
            "in": "query",
            "description": "검색 대상 카테고리 코드",
            "required": false,
            "schema": {
              "type": "string",
              "description": "검색 대상 카테고리 코드"
            }
          },
          {
            "name": "addrext",
            "in": "query",
            "description": "주소 지번/건물번호 확장 검색 옵션",
            "required": false,
            "schema": {
              "type": "string",
              "description": "주소 지번/건물번호 확장 검색 옵션",
              "default": "0",
              "enum": [
                "0",
                "1",
                "2"
              ],
              "x-enum-descriptions": {
                "0": "지번/건물번호 확장 검색",
                "1": "부번호 확장 검색",
                "2": "본번호 확장 검색"
              }
            },
            "x-enum-descriptions": {
              "0": "지번/건물번호 확장 검색",
              "1": "부번호 확장 검색",
              "2": "본번호 확장 검색"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SearchGlobalSearchesResponse"
                },
                "examples": {
                  "success": {
                    "summary": "성공",
                    "value": {
                      "header": {
                        "isSuccessful": true,
                        "resultCode": 0,
                        "resultMessage": "Success"
                      },
                      "search": {
                        "result": true,
                        "lang": "en",
                        "totalcount": 1,
                        "count": 1,
                        "poitotalcount": 1,
                        "poicount": 1,
                        "admtotalcount": 0,
                        "admcount": 0,
                        "poi": [
                          {
                            "poiid": 8827198,
                            "depth": "0",
                            "dpx": "127.110762",
                            "dpy": "37.402184",
                            "rpx": "127.110862",
                            "rpy": "37.402334",
                            "routepoints": [
                              {
                                "rpx": "127.110862",
                                "rpy": "37.402334"
                              }
                            ],
                            "entrypoint": {
                              "px": "127.109987",
                              "py": "37.401942"
                            },
                            "name1": "INavi Systems",
                            "name1_ko": "아이나비시스템즈",
                            "name2": "",
                            "name2_ko": "",
                            "name3": "",
                            "name3_ko": "",
                            "name4": "",
                            "name4_ko": "",
                            "admcode": "4113510900",
                            "address": "Gyeonggi-do Seongnam-si Bundang-gu Sampyeong-dong",
                            "address_ko": "경기도 성남시 분당구 삼평동",
                            "jibun": "678",
                            "jibun_ko": "678",
                            "roadname": "Gyeonggi-do Seongnam-si Bundang-gu Pangyoyeok-ro",
                            "roadname_ko": "경기도 성남시 분당구 판교역로",
                            "roadjibun": "240",
                            "roadjibun_ko": "240",
                            "detailaddress": "",
                            "detailaddress_ko": "삼환하이펙스 A동 8층",
                            "catecode": "130602",
                            "catename": "Thinkware",
                            "catename_ko": "팅크웨어",
                            "dp_catecode": "000",
                            "distance": 0,
                            "tel": "02-589-9610",
                            "hasoildata": false,
                            "hasdetailinfo": true,
                            "hassubpoi": false,
                            "islandmark": true,
                            "updateTS": "2023-08-17",
                            "subpoi": {
                              "count": 0,
                              "poi": []
                            },
                            "popularity": false,
                            "pop_tv": false,
                            "pop_sns": false,
                            "pop_hot": false,
                            "pop_hit": false,
                            "pop_top": ""
                          }
                        ],
                        "adm": [
                          {
                            "type": 3,
                            "posx": "127.11065",
                            "posy": "37.402109",
                            "admcode": "4113510900",
                            "address": "Gyeonggi-do Seongnam-si Bundang-gu Sampyeong-dong",
                            "address_ko": "경기도 성남시 분당구 삼평동",
                            "jibun": "678",
                            "jibun_ko": "678",
                            "roadname": "Gyeonggi-do Seongnam-si Bundang-gu Pangyoyeok-ro",
                            "roadname_ko": "경기도 성남시 분당구 판교역로",
                            "roadjibun": "240",
                            "roadjibun_ko": "240",
                            "postcode": "13493",
                            "buildname": "",
                            "buildname_ko": "삼환하이펙스A동",
                            "accuracy": 0,
                            "distance": 0
                          }
                        ]
                      }
                    }
                  },
                  "argError": {
                    "summary": "파라미터 에러",
                    "description": "Argument Error",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 101,
                        "resultMessage": "Argument Error"
                      }
                    }
                  },
                  "serverError": {
                    "summary": "IMPS 서버 에러",
                    "description": "IMPS Server Error",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 102,
                        "resultMessage": "IMPS Server Error"
                      }
                    }
                  },
                  "authentication": {
                    "summary": "인증 실패",
                    "description": "Authentication Failed",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 300,
                        "resultMessage": "Authentication Failed"
                      }
                    }
                  },
                  "badRequest": {
                    "summary": "부적절한 URL",
                    "description": "Inappropriate URL",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 301,
                        "resultMessage": "Inappropriate URL"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "잘못된 요청",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "400": {
                    "summary": "잘못된 요청",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 400,
                        "resultMessage": "Invalid request parameter or body"
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "API 없음",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "404": {
                    "summary": "API 없음",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 404,
                        "resultMessage": "API endpoint not found"
                      }
                    }
                  }
                }
              }
            }
          },
          "415": {
            "description": "허용되지 않는 메서드",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "415": {
                    "summary": "허용되지 않는 메서드",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 415,
                        "resultMessage": "Unsupported content type"
                      }
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "서버 내부 오류",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "500": {
                    "summary": "서버 내부 오류",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 500,
                        "resultMessage": "Internal Server Error"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "x-order": 201
      }
    },
    "/maps/v3.0/appkeys/{APPKEY}/pois": {
      "get": {
        "tags": [
          "장소/주소 검색"
        ],
        "summary": "장소 상세 조회",
        "description": "POIID를 입력하여 해당 POI의 상세 정보를 조회합니다<br>POI의 명칭, 주소, 좌표, 카테고리 등 관련 정보를 반환합니다",
        "operationId": "getPoisResult",
        "parameters": [
          {
            "name": "APPKEY",
            "in": "path",
            "description": "해당 API 사용 권한이 있는 API 키",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "poiid",
            "in": "query",
            "description": "POI 고유 ID<br>*구분자(\",\") 와 함께 입력 가능<br>*예: 123,1234,234",
            "required": true,
            "schema": {
              "pattern": "^[0-9]+(\\s*,\\s*[0-9]+)*$",
              "type": "string",
              "description": "POI 고유 ID<br>*구분자(\",\") 와 함께 입력 가능<br>*예: 123,1234,234",
              "example": 8827198
            },
            "example": 8827198
          },
          {
            "name": "coordtype",
            "in": "query",
            "description": "좌표 체계",
            "required": false,
            "schema": {
              "maximum": 1,
              "minimum": 0,
              "type": "string",
              "description": "좌표 체계",
              "default": "1",
              "enum": [
                "0",
                "1"
              ],
              "x-enum-descriptions": {
                "0": "TW 좌표",
                "1": "WGS84 좌표"
              }
            },
            "x-enum-descriptions": {
              "0": "TW 좌표",
              "1": "WGS84 좌표"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SearchPoisResponse"
                },
                "examples": {
                  "success": {
                    "summary": "성공",
                    "value": {
                      "header": {
                        "isSuccessful": true,
                        "resultCode": 0,
                        "resultMessage": "Success"
                      },
                      "poi": {
                        "result": true,
                        "totalcount": 1,
                        "count": 1,
                        "poiinfo": [
                          {
                            "poiid": 8827198,
                            "dpx": "127.110762",
                            "dpy": "37.402184",
                            "rpx": "127.110862",
                            "rpy": "37.402334",
                            "routepoints": [
                              {
                                "rpx": "127.110862",
                                "rpy": "37.402334"
                              }
                            ],
                            "entrypoint": {
                              "px": "127.109987",
                              "py": "37.401942"
                            },
                            "name1": "아이나비시스템즈",
                            "name2": "INAVISYSTEMS",
                            "name3": "아이나비시스템즈판교캠퍼스",
                            "name4": "아이나비판교캠퍼스",
                            "admcode": "4113510900",
                            "address": "경기도 성남시 분당구 삼평동",
                            "jibun": "678",
                            "roadname": "경기도 성남시 분당구 판교역로",
                            "roadjibun": "240",
                            "detailaddress": "삼환하이펙스 A동 8층",
                            "catecode": "130602",
                            "catename": "팅크웨어",
                            "fulladdress": "경기도 성남시 분당구 삼평동 678 삼환하이펙스 A동 8층",
                            "zip": "13493",
                            "homepage": "https://www.inavisys.com",
                            "email": "",
                            "howtogo": "",
                            "tel1": "02-589-9610",
                            "tel2": "",
                            "fax1": "02-2107-7470",
                            "fax2": "",
                            "detail_count": 0,
                            "etc_count": 0,
                            "detailinfo": [],
                            "etcinfo": [],
                            "hasoildata": false,
                            "externallink": [
                              {
                                "Site": "PLOG",
                                "ID": "http://m.fivepin.co.kr/MyStory/Plog?pid=8827198",
                                "ExtraInfo1": "단골 많은 팅크웨어(재방문53%)",
                                "ExtraInfo2": "재방문53%기업"
                              }
                            ],
                            "popularity": false,
                            "pop_tv": false,
                            "pop_sns": false,
                            "pop_hot": false,
                            "pop_hit": false,
                            "pop_top": "경기_1,분당구_1"
                          }
                        ]
                      }
                    }
                  },
                  "argError": {
                    "summary": "파라미터 에러",
                    "description": "Argument Error",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 101,
                        "resultMessage": "Argument Error"
                      }
                    }
                  },
                  "serverError": {
                    "summary": "IMPS 서버 에러",
                    "description": "IMPS Server Error",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 102,
                        "resultMessage": "IMPS Server Error"
                      }
                    }
                  },
                  "authentication": {
                    "summary": "인증 실패",
                    "description": "Authentication Failed",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 300,
                        "resultMessage": "Authentication Failed"
                      }
                    }
                  },
                  "badRequest": {
                    "summary": "부적절한 URL",
                    "description": "Inappropriate URL",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 301,
                        "resultMessage": "Inappropriate URL"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "잘못된 요청",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "400": {
                    "summary": "잘못된 요청",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 400,
                        "resultMessage": "Invalid request parameter or body"
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "API 없음",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "404": {
                    "summary": "API 없음",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 404,
                        "resultMessage": "API endpoint not found"
                      }
                    }
                  }
                }
              }
            }
          },
          "415": {
            "description": "허용되지 않는 메서드",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "415": {
                    "summary": "허용되지 않는 메서드",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 415,
                        "resultMessage": "Unsupported content type"
                      }
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "서버 내부 오류",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "500": {
                    "summary": "서버 내부 오류",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 500,
                        "resultMessage": "Internal Server Error"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "x-order": 202
      }
    },
    "/maps/v3.0/appkeys/{APPKEY}/sub-pois": {
      "get": {
        "tags": [
          "장소/주소 검색"
        ],
        "summary": "시설물 정보 조회",
        "description": "POIID를 입력하여 해당 POI의 하위 시설물 정보를 조회합니다<br>하위 시설물의 명칭, 주소, 좌표, 카테고리 등 관련 정보를 반환합니다",
        "operationId": "getSubPoisResult",
        "parameters": [
          {
            "name": "APPKEY",
            "in": "path",
            "description": "해당 API 사용 권한이 있는 API 키",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "poiid",
            "in": "query",
            "description": "POI 고유 ID",
            "required": true,
            "schema": {
              "type": "string",
              "description": "POI 고유 ID",
              "example": 8827198
            },
            "example": 8827198
          },
          {
            "name": "coordtype",
            "in": "query",
            "description": "좌표 체계",
            "required": false,
            "schema": {
              "maximum": 1,
              "minimum": 0,
              "type": "string",
              "description": "좌표 체계",
              "default": "1",
              "enum": [
                "0",
                "1"
              ],
              "x-enum-descriptions": {
                "0": "TW 좌표",
                "1": "WGS84 좌표"
              }
            },
            "x-enum-descriptions": {
              "0": "TW 좌표",
              "1": "WGS84 좌표"
            }
          },
          {
            "name": "x",
            "in": "query",
            "description": "X좌표(경도)<br>*입력 시 좌표를 기준으로 거리 값 출력",
            "required": false,
            "schema": {
              "type": "string",
              "description": "X좌표(경도)<br>*입력 시 좌표를 기준으로 거리 값 출력",
              "example": 126.978145
            },
            "example": 126.978145
          },
          {
            "name": "y",
            "in": "query",
            "description": "Y좌표(위도)<br>*입력 시 좌표를 기준으로 거리 값 출력",
            "required": false,
            "schema": {
              "type": "string",
              "description": "Y좌표(위도)<br>*입력 시 좌표를 기준으로 거리 값 출력",
              "example": 37.566671
            },
            "example": 37.566671
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SearchSubPoisResponse"
                },
                "examples": {
                  "success": {
                    "summary": "성공",
                    "value": {
                      "header": {
                        "isSuccessful": true,
                        "resultCode": 0,
                        "resultMessage": "Success"
                      },
                      "subpoi": {
                        "result": true,
                        "totalcount": 1,
                        "count": 1,
                        "poi": [
                          {
                            "poiid": 1415980,
                            "subflag": "1",
                            "dpx": "127.110862",
                            "dpy": "37.402334",
                            "rpx": "127.110862",
                            "rpy": "37.402334",
                            "routepoints": [
                              {
                                "rpx": "127.110862",
                                "rpy": "37.402334"
                              }
                            ],
                            "name1": "입구",
                            "name2": "팅크웨어정문",
                            "name3": "",
                            "name4": "",
                            "admcode": "4113510900",
                            "address": "경기도 성남시 분당구 삼평동",
                            "jibun": "",
                            "roadname": "",
                            "roadjibun": "",
                            "detailaddress": "",
                            "catecode": "181104",
                            "catename": "도로시설",
                            "dp_catecode": "000",
                            "distance": 0,
                            "tel": "",
                            "hasoildata": false,
                            "islandmark": false,
                            "updateTS": "2023-08-17",
                            "externallink": [],
                            "popularity": false,
                            "pop_tv": false,
                            "pop_sns": false,
                            "pop_hot": false,
                            "pop_hit": false,
                            "pop_top": ""
                          }
                        ]
                      }
                    }
                  },
                  "argError": {
                    "summary": "파라미터 에러",
                    "description": "Argument Error",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 101,
                        "resultMessage": "Argument Error"
                      }
                    }
                  },
                  "serverError": {
                    "summary": "IMPS 서버 에러",
                    "description": "IMPS Server Error",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 102,
                        "resultMessage": "IMPS Server Error"
                      }
                    }
                  },
                  "authentication": {
                    "summary": "인증 실패",
                    "description": "Authentication Failed",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 300,
                        "resultMessage": "Authentication Failed"
                      }
                    }
                  },
                  "badRequest": {
                    "summary": "부적절한 URL",
                    "description": "Inappropriate URL",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 301,
                        "resultMessage": "Inappropriate URL"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "잘못된 요청",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "400": {
                    "summary": "잘못된 요청",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 400,
                        "resultMessage": "Invalid request parameter or body"
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "API 없음",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "404": {
                    "summary": "API 없음",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 404,
                        "resultMessage": "API endpoint not found"
                      }
                    }
                  }
                }
              }
            }
          },
          "415": {
            "description": "허용되지 않는 메서드",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "415": {
                    "summary": "허용되지 않는 메서드",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 415,
                        "resultMessage": "Unsupported content type"
                      }
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "서버 내부 오류",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "500": {
                    "summary": "서버 내부 오류",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 500,
                        "resultMessage": "Internal Server Error"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "x-order": 203
      }
    },
    "/maps/v3.0/appkeys/{APPKEY}/proposers": {
      "get": {
        "tags": [
          "장소/주소 검색"
        ],
        "summary": "검색어 추천",
        "description": "입력한 키워드를 기반으로 연관 검색어 및 추천 검색어 목록을 제공합니다",
        "operationId": "getProposerResult",
        "parameters": [
          {
            "name": "APPKEY",
            "in": "path",
            "description": "해당 API 사용 권한이 있는 API 키",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "query",
            "in": "query",
            "description": "검색 키워드",
            "required": true,
            "schema": {
              "type": "string",
              "description": "검색 키워드",
              "example": "아이나비"
            },
            "example": "아이나비"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SearchProposerResponse"
                },
                "examples": {
                  "success": {
                    "summary": "성공",
                    "value": {
                      "header": {
                        "isSuccessful": true,
                        "resultCode": 0,
                        "resultMessage": "Success"
                      },
                      "proposer": {
                        "result": true,
                        "count": 10,
                        "keyword": [
                          {
                            "keyword": "아이나비시스템즈",
                            "frequency": 10230
                          },
                          {
                            "keyword": "아이나비시스템즈서현캠퍼스",
                            "frequency": 6
                          },
                          {
                            "keyword": "아이나비프리미엄스토어인천점",
                            "frequency": 6
                          },
                          {
                            "keyword": "아이나비프리미엄스토어",
                            "frequency": 6
                          },
                          {
                            "keyword": "아이나비프리미엄스토어경기점",
                            "frequency": 5
                          },
                          {
                            "keyword": "아이나비공식대리점강릉점",
                            "frequency": 4
                          },
                          {
                            "keyword": "아이나비공식대리점거창점",
                            "frequency": 4
                          },
                          {
                            "keyword": "아이나비공식대리점광주양산점",
                            "frequency": 4
                          },
                          {
                            "keyword": "아이나비공식대리점광주하남점",
                            "frequency": 4
                          },
                          {
                            "keyword": "아이나비공식대리점군산시청점",
                            "frequency": 4
                          }
                        ]
                      }
                    }
                  },
                  "argError": {
                    "summary": "파라미터 에러",
                    "description": "Argument Error",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 101,
                        "resultMessage": "Argument Error"
                      }
                    }
                  },
                  "serverError": {
                    "summary": "IMPS 서버 에러",
                    "description": "IMPS Server Error",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 102,
                        "resultMessage": "IMPS Server Error"
                      }
                    }
                  },
                  "authentication": {
                    "summary": "인증 실패",
                    "description": "Authentication Failed",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 300,
                        "resultMessage": "Authentication Failed"
                      }
                    }
                  },
                  "badRequest": {
                    "summary": "부적절한 URL",
                    "description": "Inappropriate URL",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 301,
                        "resultMessage": "Inappropriate URL"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "잘못된 요청",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "400": {
                    "summary": "잘못된 요청",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 400,
                        "resultMessage": "Invalid request parameter or body"
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "API 없음",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "404": {
                    "summary": "API 없음",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 404,
                        "resultMessage": "API endpoint not found"
                      }
                    }
                  }
                }
              }
            }
          },
          "415": {
            "description": "허용되지 않는 메서드",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "415": {
                    "summary": "허용되지 않는 메서드",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 415,
                        "resultMessage": "Unsupported content type"
                      }
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "서버 내부 오류",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "500": {
                    "summary": "서버 내부 오류",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 500,
                        "resultMessage": "Internal Server Error"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "x-order": 204
      }
    },
    "/maps/v3.0/appkeys/{APPKEY}/nearby-category-searches": {
      "get": {
        "tags": [
          "장소/주소 검색"
        ],
        "summary": "주변 카테고리 검색",
        "description": "중심 좌표와 반경을 기준으로 한 반경 검색과, 좌상단(x1,y1) 및 우하단(x2,y2) 좌표로 지정한 사각형 영역 내에서 검색하는 공간 검색을 지원합니다<br>지정한 범위와 카테고리 코드에 해당하는 관심지점(POI)을 조회합니다",
        "operationId": "getNearbyCategorySearchesResult",
        "parameters": [
          {
            "name": "APPKEY",
            "in": "path",
            "description": "해당 API 사용 권한이 있는 API 키",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "catecode",
            "in": "query",
            "description": "검색 대상 카테고리 코드",
            "required": true,
            "schema": {
              "type": "string",
              "description": "검색 대상 카테고리 코드",
              "example": 130602
            },
            "example": 130602
          },
          {
            "name": "spopt",
            "in": "query",
            "description": "공간 검색 옵션",
            "required": true,
            "schema": {
              "maximum": 2,
              "minimum": 1,
              "type": "string",
              "description": "공간 검색 옵션",
              "example": 1,
              "enum": [
                "1",
                "2"
              ],
              "x-enum-descriptions": {
                "1": "공간 검색",
                "2": "반경 검색"
              }
            },
            "example": 1,
            "x-enum-descriptions": {
              "1": "공간 검색",
              "2": "반경 검색"
            }
          },
          {
            "name": "x1",
            "in": "query",
            "description": "X1 좌표값<br>*전체 검색인 경우 기준점 X좌표(경도)<br>*공간 검색인 경우 Extent 좌상단 X좌표(경도)<br>*반경 검색인 경우 중심 X좌표(경도)",
            "required": true,
            "schema": {
              "type": "string",
              "description": "X1 좌표값<br>*전체 검색인 경우 기준점 X좌표(경도)<br>*공간 검색인 경우 Extent 좌상단 X좌표(경도)<br>*반경 검색인 경우 중심 X좌표(경도)",
              "example": 127.11075
            },
            "example": 127.11075
          },
          {
            "name": "y1",
            "in": "query",
            "description": "Y1 좌표값<br>*전체 검색인 경우 기준점 Y좌표(위도)<br>*공간 검색인 경우 Extent 좌상단 Y좌표(위도)<br>*반경 검색인 경우 중심 Y좌표(위도)",
            "required": true,
            "schema": {
              "type": "string",
              "description": "Y1 좌표값<br>*전체 검색인 경우 기준점 Y좌표(위도)<br>*공간 검색인 경우 Extent 좌상단 Y좌표(위도)<br>*반경 검색인 경우 중심 Y좌표(위도)",
              "example": 37.402159
            },
            "example": 37.402159
          },
          {
            "name": "x2",
            "in": "query",
            "description": "X2 좌표값<br>*공간 검색인 경우 Extent 우하단 X좌표(경도)",
            "required": false,
            "schema": {
              "type": "string",
              "description": "X2 좌표값<br>*공간 검색인 경우 Extent 우하단 X좌표(경도)"
            }
          },
          {
            "name": "y2",
            "in": "query",
            "description": "Y2 좌표값<br>*공간 검색인 경우 Extent 우하단 Y좌표(위도)",
            "required": false,
            "schema": {
              "type": "string",
              "description": "Y2 좌표값<br>*공간 검색인 경우 Extent 우하단 Y좌표(위도)"
            }
          },
          {
            "name": "coordtype",
            "in": "query",
            "description": "좌표 체계",
            "required": false,
            "schema": {
              "maximum": 1,
              "minimum": 0,
              "type": "string",
              "description": "좌표 체계",
              "default": "1",
              "enum": [
                "0",
                "1"
              ],
              "x-enum-descriptions": {
                "0": "TW 좌표",
                "1": "WGS84 좌표"
              }
            },
            "x-enum-descriptions": {
              "0": "TW 좌표",
              "1": "WGS84 좌표"
            }
          },
          {
            "name": "startposition",
            "in": "query",
            "description": "검색 시작 위치<br>*0은 첫 번째 위치를 의미",
            "required": false,
            "schema": {
              "type": "string",
              "description": "검색 시작 위치<br>*0은 첫 번째 위치를 의미",
              "default": "0"
            }
          },
          {
            "name": "reqcount",
            "in": "query",
            "description": "요청 개수<br>*0~9999",
            "required": false,
            "schema": {
              "maximum": 9999,
              "minimum": 0,
              "type": "string",
              "description": "요청 개수<br>*0~9999",
              "default": "100"
            }
          },
          {
            "name": "sortopt",
            "in": "query",
            "description": "검색 결과 정렬 옵션",
            "required": false,
            "schema": {
              "maximum": 2,
              "minimum": 1,
              "type": "string",
              "description": "검색 결과 정렬 옵션",
              "default": "1",
              "enum": [
                "1",
                "2"
              ],
              "x-enum-descriptions": {
                "1": "거리순",
                "2": "명칭순"
              }
            },
            "x-enum-descriptions": {
              "1": "거리순",
              "2": "명칭순"
            }
          },
          {
            "name": "radius",
            "in": "query",
            "description": "검색 반경(m)<br>*반경 검색일 경우 사용",
            "required": false,
            "schema": {
              "type": "string",
              "description": "검색 반경(m)<br>*반경 검색일 경우 사용"
            }
          },
          {
            "name": "depth",
            "in": "query",
            "description": "하위 시설물 포함 수준",
            "required": false,
            "schema": {
              "maximum": 3,
              "minimum": 0,
              "type": "string",
              "description": "하위 시설물 포함 수준",
              "default": "0",
              "enum": [
                "0",
                "1",
                "2",
                "3"
              ],
              "x-enum-descriptions": {
                "0": "사용 안함",
                "1": "일반 시설물 포함",
                "2": "하위 시설물 포함",
                "3": "최하위 시설물 포함"
              }
            },
            "x-enum-descriptions": {
              "0": "사용 안함",
              "1": "일반 시설물 포함",
              "2": "하위 시설물 포함",
              "3": "최하위 시설물 포함"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SearchNearbyCategoryResponse"
                },
                "examples": {
                  "success": {
                    "summary": "성공",
                    "value": {
                      "header": {
                        "isSuccessful": true,
                        "resultCode": 0,
                        "resultMessage": "Success"
                      },
                      "cate": {
                        "result": true,
                        "totalcount": 1,
                        "count": 1,
                        "poi": [
                          {
                            "poiid": 8827198,
                            "depth": "0",
                            "dpx": "127.110762",
                            "dpy": "37.402184",
                            "rpx": "127.110862",
                            "rpy": "37.402334",
                            "routepoints": [
                              {
                                "rpx": "127.110862",
                                "rpy": "37.402334"
                              }
                            ],
                            "entrypoint": {
                              "px": "127.109987",
                              "py": "37.401942"
                            },
                            "name1": "아이나비시스템즈",
                            "name2": "INAVISYSTEMS",
                            "name3": "아이나비시스템즈판교캠퍼스",
                            "name4": "아이나비판교캠퍼스",
                            "admcode": "4113510900",
                            "haengcode": "4113565500",
                            "address": "경기도 성남시 분당구 삼평동",
                            "address_haeng": "삼평동",
                            "jibun": "678",
                            "roadname": "경기도 성남시 분당구 판교역로",
                            "roadjibun": "240",
                            "detailaddress": "삼환하이펙스 A동 8층",
                            "catecode": "130602",
                            "catename": "팅크웨어",
                            "dp_catecode": "000",
                            "distance": 21713,
                            "tel": "02-589-9610",
                            "hasoildata": false,
                            "hasdetailinfo": true,
                            "hassubpoi": false,
                            "islandmark": true,
                            "updateTS": "2023-08-17",
                            "subpoi": {
                              "count": 0,
                              "poi": []
                            },
                            "externallink": [
                              {
                                "Site": "PLOG",
                                "ID": "http://m.fivepin.co.kr/MyStory/Plog?pid=8827198",
                                "ExtraInfo1": "단골 많은 팅크웨어(재방문54%)",
                                "ExtraInfo2": "재방문54%기업"
                              }
                            ],
                            "popularity": false,
                            "pop_tv": false,
                            "pop_sns": false,
                            "pop_hot": false,
                            "pop_hit": false,
                            "pop_top": "경기_1,분당구_1"
                          }
                        ]
                      }
                    }
                  },
                  "argError": {
                    "summary": "파라미터 에러",
                    "description": "Argument Error",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 101,
                        "resultMessage": "Argument Error"
                      }
                    }
                  },
                  "serverError": {
                    "summary": "IMPS 서버 에러",
                    "description": "IMPS Server Error",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 102,
                        "resultMessage": "IMPS Server Error"
                      }
                    }
                  },
                  "authentication": {
                    "summary": "인증 실패",
                    "description": "Authentication Failed",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 300,
                        "resultMessage": "Authentication Failed"
                      }
                    }
                  },
                  "badRequest": {
                    "summary": "부적절한 URL",
                    "description": "Inappropriate URL",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 301,
                        "resultMessage": "Inappropriate URL"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "잘못된 요청",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "400": {
                    "summary": "잘못된 요청",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 400,
                        "resultMessage": "Invalid request parameter or body"
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "API 없음",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "404": {
                    "summary": "API 없음",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 404,
                        "resultMessage": "API endpoint not found"
                      }
                    }
                  }
                }
              }
            }
          },
          "415": {
            "description": "허용되지 않는 메서드",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "415": {
                    "summary": "허용되지 않는 메서드",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 415,
                        "resultMessage": "Unsupported content type"
                      }
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "서버 내부 오류",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "$ref": "#/components/schemas/Header"
                    }
                  },
                  "description": "API 응답 결과의 상태"
                },
                "examples": {
                  "500": {
                    "summary": "서버 내부 오류",
                    "value": {
                      "header": {
                        "isSuccessful": false,
                        "resultCode": 500,
                        "resultMessage": "Internal Server Error"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "x-order": 205
      }
    },
    "/maps/v3.0/appkeys/{APPKEY}/optimal-position-searches": {
      "get": {
        "tags": [
          "장소/주소 검색"
        ],
        "summary": "최적 지점 검색",
[...]
